set install_dir {C:\Programme\BSVC\bin}
regsub -all {[\\]} $install_dir / install_dir
set Program(InstallDir) $install_dir
set Program(BitmapDir) $Program(InstallDir)/UI/bitmaps
set Program(HelpDir) $Program(InstallDir)/UI/help
set Program(LibDir) $Program(InstallDir)/UI
set Program(WWWBrowser) ""
set Program(WWWHomePage) ""

# funktioniert aufgrund von fehlenden Schreibrechten nicht.
# stattdessen wird jetzt der reguläre Temp-Ordner bestimmt, auf dem
# geschrieben werden darf.
#set Program(StopIndicator) {C:\Programme\BSVC\bin\stop}

#Ermitteln des Temp-Ordners
switch $tcl_platform(platform) {
   unix {
       set tmpdir /tmp   # or even $::env(TMPDIR), at times.
   } macintosh {
       set tmpdir $::env(TRASH_FOLDER)  ;# a better place?
   } default {
       set tmpdir [pwd]
       catch {set tmpdir $::env(TMP)}
       catch {set tmpdir $::env(TEMP)}
   }
}

# kompletten Pfsd für das Stopfile zusammenbauen.
# funktioniert jetzt nur für Windows, für Linux und OSX ist das noch zu prüfen
set Program(StopIndicator) $tmpdir/stop
 
if {$tcl_version >= 7.5 && $tcl_platform(platform) == {windows}} {
  option readfile $Program(InstallDir)/UI/bsvc.win 40
} else {
  option readfile $Program(InstallDir)/UI/bsvc.ad 40
}
source $Program(InstallDir)/UI/main.tk
